Software Utility - Commander Control Software Manual

Software Utility - Commander Control Software Manual

Version 2.0

COPYRIGHT© 2019-2022 NIPPON PULSE AMERICA, INC.


Copyright

Software Utility - Commander Control Software Manual ››

COPYRIGHT© 2019-2026 NIPPON PULSE AMERICA, INC.

ALL RIGHTS RESERVED

First edition, October 2019

Current edition, August 2026

NIPPON PULSE AMERICA, INC. copyrights this document. You may not reproduce or translate into any language in any form any part of this publication without written permission from NIPPON PULSE AMERICA, INC.

NIPPON PULSE AMERICA, INC. makes no representations or warranties regarding the content of this document. We reserve the right to revise this document any time without notice and obligation.


Revision History

Software Utility - Commander Control Software Manual ››

Date

Revision

Firmware Compatibility

Changes Made

Nov 2019

Version 1.0

CMD V127BL
Software 113

New Document

Dec 2019

Version 1.1

CMD V127BL
Software 113

Update screenshots to include SSPDM setting information

April 2022

Version

2.0

CMD V201BL
Software 201

- Reformatted and moved to an online version of this manual

Software V201 changes

- Added support of firmware Version 201 for CMD-4CR and CMD-4EX-SA

* Software version numbers and firmware version numbers match

- Added support for the following features:

* AutoRenumbering of ID, When multiple Commanders have the same ID.

(Fully Supports V201+, Limited support for other firmware)

* ECHO Command Viewer (Supports all firmware)

* Profile Builder (Supports all firmware)

* Jerk Control (Supports V201+ firmware)

* Soft Limits (Supports V201+ firmware)

* Helix Arc, Circle Moves (Supports V126+ firmware)

* New CMD-4EX-SA controller series (Supports V201+ firmware)

* MicroStepping control for the CMD-4EX-SA-TBD (Supports V201+ firmware)

- Added additional features when connected to the internet.

* Online Users Manuals

* Online and auto-update support.

- Will only show commands supported by the current Firmware Version.

- About window updated to show:

* Device ID

* Firmware Version

* SN of HardWare SN of Commander if FW version > 200

* DLL version number

* Software version and build number

- Update of file Storage in the Public Documents folder

- Fixed bug in standalone code editor that caused GUI to crash

July 2022

Version

2.1

CMD V201BL
Software 202

-Fixed the following bugs in the GUI

* Online updater is now working correctly updating 32bit and 64bit

* Repaired bug that prevented Motor Status screen from working with

some older firmware versions.

* Repaired bug which crashed GUI when setting soft limits with RS485

* Repaired bug which prevented RS485 commutation from getting system data.

* Repaired bug which kept JOG buttons active after reaching hard end limit.

March 2025

Version 3.0

CMD V301BL

Software 300

- Refreshed Main Form with Status Strip reviewing

- Combined Command Echo Viewer and Terminal Screen. The new form is called Terminal/Echo Command Viewer

- Motor Status now supports External Stop.

NOTE: CMD V201BL is compatible with Utility Software version 201 and higher. For previous versions please contact sales for correct version of the GUI software.

Last Build: 8/21/2026 11:24 AM


Cautions

Software Utility - Commander Control Software Manual ››

Copying all or any part of this manual without written approval is prohibited.

The software specifications may change to improve performance or quality without prior notice.

Although we strive to produce this manual to be easy to understand, if you find any points that are unclear, wrong, or have inadequate descriptions, please let us know.

We are not responsible for any results from using this controller, regardless of the item (3) above.

The Commander series of controllers and its supporting software are engineered for use in commercial apparatus. They are not intended for use in any device that may require high quality and reliability or where faults or malfunctions may directly affect human survival or injure humans. Customers must provide their own safety measures to ensure appropriate performance in all circumstances. We will not be liable for any problem, even if it was directly caused by the Commander series of controllers and its supporting software.

This guide is delivered subject to the following conditions and restrictions:

  • This guide contains proprietary information belonging to Nippon Pulse America and Arcus Technology.
  • Such information is supplied solely to assist users of A-Script enables products. These include:
    • CMD Series Motion Controllers
  • The text and graphics included in this manual are for illustration and reference only. The specifications on which they are based are subject to change without notice.


1.0 Software Utility Program Overview

The Commander core series from Nippon Pulse has two Windows GUI programs that can be obtained by downloading from their website.

The Commander Control Utility, a Windows Graphical User Interface application, carries out two crucial functions:

    • Aids in examining and debugging the Commander core and your own interface code by giving a way to access each ASCII command quickly.
    • The controller can be tested, programmed, compiled, downloaded and debugged through the use of a standalone language.

This manual provides information about the Commander Control Utility.
Download the most recent version (V202a):

The Nippon Pulse Terminal Utility is tailored to advanced users. It is compatible with all Nippon Pulse controllers and has three main functions:

    • Use terminal mode to rapidly test each ASCII command. Additionally, the total cycle timing of each ASCII command is displayed.
    • Test proposed code using ASCII Programs, which enable the production of ASCII programs.
    • Auto Control Programs offer the capacity to compose computer programs that can completely manage a terminal utility, such as running ASCII programs and logging the results.

See Nippon Pulse Terminal Program Software Manual for more information about and downloads for the Nippon Pulse Terminal Utility

The Commander Control Utility helps the user configure, monitor, and develop programming for the Commander series of products.

    • Use various status and configuration screens to configure the inputs, outputs, and limits.
    • Trigger or clear the status of alarms and other signals for each axis.
    • Enable and control each axis using a jog or other move commands.
    • Access and run all homing routines from the utility software.
    • The Standalone Control window supports standalone program code generation, compiling, downloading, and storing.
    • Use the echo monitor to see the exact format and timing of commands sent and received from the Commander.

Both ASCII and standalone commands are accessible in the Commander Control Utility software environment.

A copy of the Commander Control Software is not shipped with the Commander products but can be downloaded here .

In this section:

  • Screen Display Overview
  • Service Screen Display Overview

See Also:

Basic Navigation


1.1 Screen Display Overview

1.0 Software Utility Program Overview ››

On this page

  • Screen display overview
  • Screen transition diagram

Screen Name

Functions

Screen View

Main Control Screen
  • Provides access to utility software configuration, communications, and functional screens
  • ASCII command entry
  • Search for connected Commanders
  • Autonumbering of conflicting Commanders
  • Connect/disconnect from controller
  • Notices of software updates

Command Echo Viewer

Displays command sent to and reply from the connected Commander

Motor Status Screen
(Basic)
  • Check the motor status of each axis, including position, speed, SSPDM setting, operation status, limits, home, alarms, and error flags
  • clear errors, reset counters for each axis

Motor Status Screen
(Advanced)

Adds additional configuration options, including polarity settings, soft limit configuration, slowdown configuration, In-position functionality, and ERC behavior

Encoder Status Screen
(Basic)
  • Check encoder status, including position, Z index pulse, delta error, and StepNLoop enable for each axis
  • clear errors, reset counters for each axis

Encoder Status Screen
(Advanced)
  • Adds additional configuration settings, including input mode, encoder and Z-index polarity settings for each axis
  • StepNLoop configuration settings

Soft Limit Status

Check the status of the soft limits

Set Soft Limits

Sets and test the soft limit settings

Axis Control Screen
(Basic)
  • Configure simple motion. Inputs available for high speed, low speed, accel/decel time, target position
  • Profile Builder
  • Absolute and incremental mode settings
  • S-curve, and soft limit activation and axis enable
  • Momentary jog, continuous jog, target moves, and stop functions.
  • Calculates acc/dec rates
  • Setting of soft limits
  • Status of SSPDM setting

Axis Control Screen

(Advanced)
  • Adds Homing, interpolated moves, on-the-fly changes
  • Output modes, boot modes, and polarity configuration for each axis

Profile Builder

Graphical planning of profile high speed, low speed, accel/decel time, Jurk control, s-curve, and target position

Standalone Control (Basic)
  • Develop standalone programs using A-Script for up to 4 separate programs
  • Compile, download, save, and access program files
  • Control program operation, start, stop, pause
  • Expand screen to view standalone variables

Standalone Control (Advanced)

Adds viewing of variables

Buffer Control Screen
  • Create buffered moves using ASCII commands
  • Enable and initiate buffered moves

Manual Pulse Generator Screen
  • Configure pulse generator settings for each axis
  • set multiplier, divider, and direction
  • enable and reset counters

Joystick Control Screen

Configure all settings for joystick control for both X and Y axes

Terminal Screen

Terminal mode for entering ASCII commands directly to controller. Includes last 6 commands for quick data entry.

Digital I/O Screen

(Basic)
  • status of digital inputs and outputs
  • Settings for PWM outputs 1 and 2

Digital I/O Screen

(Advanced)

Analog Input Screen

view current values for analog inputs 1 and 2

Configurable I/O Screen (Basic)

configure settings for all configurable I/O, adjusting input and output polarity along with boot-up output status

Configurable IO Screen (Advanced)
  • adds ability to configure output and configuration status on boot-up
  • setting for input and output polarity

About Screen
  • Indicates CMD-4CR ID, firmware version, and Serial Number
  • indicates Utility Software version and DLL version

Return to Top

Screen transition diagram

Main screen menu:

Return to Top

Motor Status Screen

Motor Status ScreenAdvanced Motor Status Screen

Return to Top

Encoder Status Screen

EncoderStatusEncoderExpanded

Soft-Limit Status Screen

Return to Top

Axis Control Screen

AxisControlAdvancedAxisControl

Return to Top

Standalone Control Screen

Return to Top

Buffer Control Screen

BufferControl

Return to Top

Manual Pulse Generator (MPG) Control Screen

Return to Top

Joystick Control Screen

Return to Top

Terminal Screen

Return to Top


1.2 Service Screen Display Overview

1.0 Software Utility Program Overview ››

On this page

  • Service Screen display overview
  • Service Screen transition diagram

Screen Name | Functions | Screen View
About Screen | Open the About form and click the NPA logo to enter service mode. A form will pop up asking for a password. Enter the password below for the mode you need to enable. |
Service Mode | PCL Registers Screen enabled Service Menu shown Service Manual shown | Password : CMDservice
PCL Registers Screen | Status of all registers |

Service Screen transition diagram


2.0 Navigation

Commander Control Software Navigation

This section covers the navigation for the Commander Control Software; exceptions are noted in specific topics.

On this page:

  • Commander Control Software
  • Screen Access
  • Expand Screen
  • Save Configurations

Commander Control Software opens as a blank work area with a menu bar:

Once communication is established successfully, all screen options are available through the top menu bar. Each category contains the associated screens for that portion of the software. Any number of screens can be opened and displayed in the main work area.

All screens appear in the work area. Wen multiple screens overlap select an overlapped screen to move it to the top.

Back to Top

Screen Access

To open a work window, click the menu tab , then select a screen.

The work window opens in the work area.

A check mark highlighted in blue indicates an open screen is open. Click the screen name on the menu bar to close the screen.

Note: Some work windows have an [image] in the top right corner. You must click the [image] to close the window.

Back to Top

Expand Screen

Many screens open in basic mode with basic information for that function.

Click Settings ( [image] ) to expand the work window to display advanced settings.

Click the settings icon again to close the advanced view and revert to the basic view.

Back to Top

Save Configuration

The Save icon ( [image] ) is displayed when screen configuration settings can be saved.

Click Save to store settings to the Commander as default (See Flash Memory ). Some commands (e.g. ID, DB) require a Commander power cycle before they take effect.

Back to Top

Home


3.0 Establishing communication

The Commander core has several communication methods available. When the Commander Control Software first opens, it uses USB communication. The software also supports RS485 communication.

When the Commander Control Software opens, it runs automated processes.

  1. Test for internet access. If present, then it checks for software updates.
  2. All available controllers connected to the PC are found and added to the Drop-down box.
  3. Test for unique IDs on all Commanders connected to the USB port. If duplicates are found, the autoID process is run.

The communication method can be changed by selecting the correct method at File > Communication.

Once the correct communication method is selected, the top bar will change showing the correct settings for your selected communication method.

< Previous Topic | Topic Home | Home | First Section | Next Topic >

This chapter is broken into the following sections and subsections;

  • USB Communication
    • autoID process
  • RS485 Communication

< Previous Chapter | Topic Home | Home | First Section | Next Topic >

Test Links

Default topic

First topic

Last topic

Parent Topic

Previous topic

Previous topic Sibling

Next topic

Next topic Sibling


3.1 USB communication

3.0 Establishing communication ››

On this page:
USB Communication

AutoID Process

USB Communication

Button | Display | Description
 | Controller refresh | The utility software will scan the connected hub to determine what controllers are powered and connected. If multiple controllers are connected, the drop-down box will allow selection of the controller to display.
 | ID drop-down box | All available controllers connected to the PC are found and added to this drop-down box.
/ | Connect/Disconnect | When the controller is identified on the hub, the utility software is connected to the controller using the [image] button. After successful connection, the button text changes to disconnect. Simply press [image] to disengage the utility software from the controller.

Return to Top

AutoID

When the Commander Control Software first starts, it tests for unique IDs on all Commanders connected to the USB ports. When duplicates exist, the autoID process executes automatically. The autoID process can work with up to 10 Commanders at a time. While this process works on all firmware versions, it works best when running firmware V2xx on the commanders.

AutoID process follows the following steps:

Step 1 – Detect all the commanders connected, and confirm that number of commanders detected is correct.

If not, confirm the following:

  • All Commanders are connected via USB to the PC running the Commander Control Software.
  • All Commanders have power.

If the number of detected Commanders is different, the autoID function may run a second time to find all the commanders and IDs.

Step 2 – A random unique ID is assigned to each Commander. If any connected Commanders are running V1xx firmware, a message is displayed asking for the Commanders' power to be cycled. This message may appear more than once.

Once all the connected commanders have a unique ID, it proceeds to the next step.

Step 3 – All the connected Commanders and their IDs are listed. A check box to flash the LED is displayed next to Commanders with V2xx firmware. Select a new ID for the Commander from the NewID dropdown box. Then press the [image] button. When the New ID is accepted, the Current ID box will turn green and display the new ID.

Repeat this for every Commander listed; once all the IDs are set (CurrentID boxes green), you can press the "Finished – Return to app" button. If you have any Commanders with V1xx firmware, you will be requested to power cycle the Commanders before proceeding.

At times the autoID process may run more than once. This is more common when one or more Commanders with V1xx firmware or when many Commanders all have identical IDs.

All the Commanders now have unique IDs and can be accessed in the Commander Control Software.

Return to Top


3.2 RS485 communication

3.0 Establishing communication ››

Button | Display | Description
 | Controller refresh | The utility software will scan the PC for available Ports, which are then added to the port drop-down box.
 | COM Ports | All available COM ports on the PC are found and added to this drop-down box. Select the COM port the Commander Controller is connected to.
 | Baud Rate | Select the Baud Rate that matches the Baud Rate setting ( DB ) in the Commander Controller.
 | Identification Number | Select the identification number that matches the ID setting in the Commander Controller.
/ | Connect/Disconnect | When the RS485 setting are correct, the utility software can be connected to the controller using the [image] button. After successful connection, the button text changes to disconnect. Simply press [image] to disengage the utility software from the controller.

Test Links

Default topic

First topic

Last topic

Parent Topic

Previous topic

Previous topic Sibling

Next topic

Next topic Sibling


3.3 Ethernet

3.0 Establishing communication ››

The Commander series uses 10/100 Mbps Ethernet ASCII communication over TCP/IP. Communication between the PC/PLC and The Commander series is done using standard socket programming. Every Commander coes with a unique MAC adress.

Socket Settings

Port: 5001

ASCII Protocol

Sending Command

ASCII command string in the format of

[ASCII Command][NUL]

[NUL] character has ASCII code 0.

Receiving Reply

The response will be in the format of

[Response][NUL]

[NUL] character has ASCII code 0.

Examples:

For querying the X axis polarity

Send: POLX[NUL]

Reply: 7[NUL]

For jogging the X axis motor in positive direction

Send: JX+[NUL]

Reply: OK[NUL]

For aborting any motion in progress

Send: ABORT[NUL]

Reply: OK[NUL]

IP Address

Set the IP address of the Commander module using the IP command. See the default IP/socket settings below.

IP: 192.168.1.2

Port: 5001

To begin communication with a factory default device, configure the PC control panel with the following settings.

IP = 192.168.1.xxx

Subnet Mask = 255.255.255.0

A sample configuration of a Windows PC can be found below.

Changing the IP Address

The Commander provides the user with the ability to set the device IP of the module using the IP=XXX.XXX.XXX.XXX command.

To write the values to the device’s flash memory, use the STORE command. After a complete power cycle, the new IP will be written to memory. Note that before a power cycle is completed, the settings will not take effect.

Test Links

Default topic

First topic

Last topic

Parent Topic

Previous topic

Previous topic Sibling

Next topic

Next topic Sibling


4.0 Screen Details

< Previous Chapter | Topic Home | Home | First Section | Next Topic >

This chapter is broken into the following sections and subsections;

  • Start and stop of jog move
  • Position Move
  • Obtaining and clearing the counter value
  • Homing Operation
  • Linear interpolation operation
  • Circular Interpolation Operation
  • On-the-fly speed change
  • Synchronization Function
  • Control of general purpose input/output

Home


4.1 Main Screen

4.0 Screen Details ››

The primary interface is the initial screen of the Commander Core Utility software. It serves as the hub for establishing communication and scanning for available controllers to connect or disconnect. Once a connection is established with a controller, access to the Status, Control, and Input/Output screens is facilitated through the menu tabs. Notably, the Standalone and About screens can be viewed independently without requiring a connection to a controller.

For direct communication with the controller using ASCII commands, the Command and Reply boxes are available at your disposal.

< Previous Chapter | Topic Home | Home | First Section | Next Topic >

This chapter is broken into the following sections and subsections;

  • Start and stop of jog move
  • Position Move
  • Obtaining and clearing the counter value
  • Homing Operation
  • Linear interpolation operation
  • Circular Interpolation Operation
  • On-the-fly speed change
  • Synchronization Function
  • Control of general purpose input/output

< Previous Chapter | Topic Home | Home | First Section | Next Topic >

Test Links

Default topic

First topic

Last topic

Parent Topic

Previous topic

Previous topic Sibling

Next topic

Next topic Sibling


Main Screen Segments

4.0 Screen Details ›› 4.1 Main Screen ››

Button

Display

Description

Menu bar

The Menu bar houses all functions related to screen display, communication settings, configuration, and setup commands. Each drop-down menu is elaborated upon in this section , providing detailed information for clarity and ease of navigation. .

--

Work area

All screen views are presented within the work area. When multiple screens overlap, selecting the title bar of the overlapped screen brings it to the forefront. The background of the work area dynamically changes to reflect your connection status and, if connected, identifies the associated product group.

/

Online Indicator

Indicates the connectivity status of the Commander Control Utility to the internet. The online status is determined by the computer's ability to access the Commander support site at https://support.nipponpulse.com/. When the connection is successful, the online indicator is shown as [image] enabling updates checks and the display of online help files. Conversely, when [image] is displayed, local help files are accessed.

The online status is checked when the program first opens, and when the online indicator is clicked by the mouse.

USB Communications options

See USB communication

RS485 Communications options

See RS485 communication

Common options

Command Entry

Direct communication with the controller is facilitated by sending ASCII commands through the Command entry box. Simply press Enter to dispatch the command, and the corresponding reply will be displayed in the Reply Box.

Reply Box

Shows the Commander's response to the most recent ASCII command sent from the Command entry box.

Test Links

Default topic

First topic

Last topic

Parent Topic

Previous topic

Previous topic Sibling

Next topic

Next topic Sibling


Menu Bar

4.0 Screen Details ›› 4.1 Main Screen ››

Menu Bar and functions:

Menu Group | Options | Functions
File | Open | Open saved settings or layouts (*.set)
 | Save | Saves current layout or settings (*.set)
 | Communication | Toggles between USB or RS-485 The RS-485 setting introduces a com port and baud rate selection input on the command line row
 | Settings | Change settings for Auto Update or Open the Echo Command Viewer
 | Exit | Closes the utility software program
Status | Motor Status | Activates the motor status screen in the workspace area
 | Encoder Status | Activates the encoder status screen in the workspace area
 | Soft Limit Status | Activates the soft limit status screen in the workspace area
Control | Axis Control | Activates the axis control screen in the workspace area
 | Standalone Control | Activates the standalone control screen in the workspace area
 | Buffer Control | Activates the buffer control screen in the workspace area
 | Manul Pulse Generator (MPG) Control | Activates the MPG control screen in the workspace area
 | Joystick Control | Activates the joystick control screen in the workspace area
 | Terminal | Activates the Terminal input screen in the workspace area
Input/ Output | Digital IO | Activates the digital IO status screen in the workspace area
 | Analog Inputs | Activates the analog input status screen in the workspace area
 | Configurable IO | Activates the configurable IO status screen in the workspace area
Service | PCL Registers | Activates the PCL register status screen in the workspace area
Help | Documentation | Provides access to the Commander core manuals
 | About | Activates the utility software information screen


4.2 Motor Status Screen

4.0 Screen Details ››

The Motor Status screen furnishes a range of information concerning the motion status on each axis. It presents details such as position, speed, motion status, and specific limits and alarms. For additional settings, click [image] to expand the Advanced Motor Status Screen .

Motor Status Screen Access

Status

Display Name | Description | Related commands
Step Position | The value of the feedback pulse counter | P , PP
Speed | Current operating speed | PS
SSPDM | Current setting of speed range | SSPDM
Status | Status of an axis | MST
MST | Displays the status of an axis in hexadecimal | MST
 | Clear error button | CLR
 | Set value of the command pulse counter to 0 |
+L | Positive end of travel limit switch status: physical limit is triggered soft-limit triggered soft-limit active but not triggered limit not triggered | MST[axis] , Bit 4 SFL[axis] SFLSO[axis] SFLP[axis]
H | Home switch status: input is triggered input is not triggered | MST[axis] , Bit 6
-L | Negative end of travel limit switch status: physical limit is triggered soft-limit triggered soft-limit active but not triggered limit not triggered | MST[axis] , Bit 5 SFL[axis] SFLSO[axis] SFLN[axis]
Alarm | Current alarm status: input is triggered input is not triggered | MST[axis] , Bit 3
SD | Slow down limit status, when enabled: input is triggered input is not triggered | MST[axis] , Bit 7
INP | In-position enable status: In-position signal is active In-position signal is waiting for activation | MST[axis] , Bit 11
ERC | Error clear pulse status: input is triggered input is not triggered | MST[axis] , Bit 12
TBD µStep | (CMD-4EX-SA-TBD only) Sets the µStep rate for the stepper motor drivers. | MSR
External Start | External start switch status: input is triggered input is not triggered) | MST[axis] , Bit 14
Emergency Stop | Emergency stop switch status: input is triggered input is not triggered) | MST[axis] , Bit 15
X | X-axis row display |
Y | Y-axis row display |
Z | Z-axis row display |
U | U-axis row display |
 | Show/hide Advanced Motor Status Screen |

Notes:

  • Clear pulse counter values – Click the [image] button to set value of the command pulse counter 0 for that axis. There is no other condition.
  • Clear error status – Click the [image] button to clear the error status of the axis. There is no other condition.
  • The Status window displays text related to the value returned from the MST[axis] command, as shown in the chart below

Bit active | Description | Status display
None | Motor not in motion | Idle
0 | Motor accelerating | Accelerating
1 | Motor decelerating | Decelerating
2 | Motor running at speed | Constant
8 | Positive end of travel limit activated | +LIM ERR
9 | Negative end of travel limit activated | -LIM ERR
10 | Alarm input activated | ALARM ERR
16 | Emergency stop initiated | EMG ERR
17 | Indication the axis stopped via a slow down switch trigger | SD STOP
18 | Waiting for In-position signal to finish move | Wait INP
19 | Waiting for External Start signal to start move | Wait Ext Start


Advanced Motor Status Screen

4.0 Screen Details ›› 4.2 Motor Status Screen ››

The Advanced Motor Status screen offers supplementary functionality pertaining to motor status. It grants access to additional configuration options, such as polarity settings, Soft-Limit functionality, SD configuration, In-position functionality, latching, and ERC behavior. Clicking [image] returns the screen to the Motor Status Screen .

How to access

Enviromental settings

Display | Description | Related commands
 | Button to save data in the memory | STORE
 | Show/hide the Advanced Motor Status Screen |
Input Settings
Limit Polarity | Set the input mode of the feedback pulse signal | POL[axis] (Bit-3)
Home Polarity | Set the direction the feedback pulse count up | POL[axis] (Bit-4)
Alarm Polarity | Set the logic of the Z-Index pulse signal | POL[axis] (Bit-5)
Soft-Limit
Enable | Enable/disable Soft-limit function | SLF
Status | Opens the SoftLimit Status screen |
Set | Opens the Set SoftLimit Screen |
Slow Down (SD)
Enable | Enable/disable Slow Down (SD) function | SDE (Bit-0)
Latch | Enable/disable Slow Down (SD) latching function. This command will latch SD as activated until the next command | SDE (Bit-1)
Decel | Sets how the motor reacts to the SD input being triggered | SDC
Polarity | Set the logic of the SD signal | POL[axis] (Bit-6)
In-position (INP)
Enable | Enable/disable In-position (INP) function | INP
Polarity | Set the logic of the INP signal | POL[axis] (Bit-7)
Error Clear (ERC)
Enable | Enable/disable Error Clear (ERC) function, and when the Error Clear signal is triggered | ERC
Polarity | Set the logic of the deviation counter clear signal | POL[axis] (Bit-8)
Pulse Width | Set the output pulse time (width) of the deviation counter clear signal | ERCP
Off Delay | Sets the OFF delay time of the deviation counter clear signal | ERCD

Notes:

  • When changing the setting, save the setting in memory by clicking the [image] button, or sending the STORE.


4.3 Encoder Status Screen

4.0 Screen Details ››

The encoder status screen provides information regarding the encoder position, delta error and the current StepNLoop status. Additional settings are avelable by clicking [image] to expand the Advanced Encoder Status Screen .

How to access

Status

Display | Description | Related commands
Encoder Position | Indicates current encoder pulse counts | E[axis] , EP
Z | Z-index Status (on [image] off [image] ) | MST[axis] , Bit 13
Delta Error | Deviation from expected encoder counter value during StepNLoop operation | D[axis]
StepNLoop Status | Current StepNLoop operation status | SLS[axis]
Error | Clears errors related to the specific axis | CLR[axis]
Count | Resets the current feedback count for the specific axis | E[axis]=0
X | The display of this row is related to the X-axis |
Y | The display of this row is related to the Y-axis |
Z | The display of this row is related to the Z-axis |
U | The display of this row is related to the U-axis |
 | Show/hide the Advanced Encoder Status Screen |

Notes:

  • Clear encoder pulse counter values – Click the [image] button makes a value of the command pulse counter “0” for that axis. There is no other condition.
  • Clear error status – Click the [image] button clears the error status of the axis.There is no other condition.
  • StepNLoop Status window displays text related to the value returned from the SLS[axis] command, as shown in the chart below

Number | Description | StepNLoop Status display
0 | Idle | IDLE
1 | Moving | MOVING
2 | Correcting | CORRECTING
3 | Stopping | STOPPING
4 | Aborting | ABORTING
5 | Jogging | JOGGING
6 | Homing | HOMING
7 | Z-Homing | Z-HOMING
8 | Correction range error* | RANGE ERR
9 | Correction attempt error* | ATTEMPT ERR
10 | Stall error – Deviation counter value has exceeded correction range value* | STALL ERR
11 | Limit error | LIMIT ERR
12 | N/A | DISABLED


Advanced Encoder Status Screen

4.0 Screen Details ›› 4.3 Encoder Status Screen ››

The advanced encoder status screen provides configuration for the StepNLoop function along with polarity options for the encoder and Z-index pulse. By clicking [image] the screen returns to Encoder Status Screen .

How to access

Enviromental settings

Display | Description | Related commands
Encoder Settings
Input Mode | Set the input mode of the feedback pulse signal | POL[axis] (Bit-11, 12)
Encoder Direction | Set the direction the feedback pulse count up | POL[axis] (Bit-10)
Z-Index Polarity | Set the logic of the Z-Index pulse signal | POL[axis] (Bit-13)
StepNLoop Settings
Ratio | Set the ratio of pulse per revolution (ppr) to counts per revolution (cpr) | SLR[axis]
Tolerance | Set the maximum value of position error that is acceptable to consider the axis in position | SLT[axis]
Error | Set the position value considered "out of bounds" and returns a ?stall error | SLE[axis]
Attempt | Set the number of times to retry the StepNLoop Closed Loop Control operation | SLA[axis]
Enable | Enable/disable StepNLoop function ( [image] is enabled, [image] is disabled) | SL[axis]
 | Button to save data in the memory | STORE
 | Show/hide the Advanced Encoder Status Screen |

Notes:

  • Enable/disable StepNLoop Closed Loop Control operation
    1. Tick [image] the check box (Enabled) to activate the StepNLoop Closed Loop Control operation.
    2. Untick [image] to stop operation.
  • When changing the setting, save the setting in memory by clicking the [image] button, or sending the STORE.


4.4 Axis Control Screen

4.0 Screen Details ››

The basic axis control screen, along with the motor status screen are a great combination to review the system set up to determine the axes are moving int the appropriate directions and performing as expected. The Axis Control screen allows configuration of the global high speed (HSPD), low speed (LSPD), acceleration (ACC), and deceleration (DEC), as well as setting individual axis settings using the drop-down box. Target positions for each axis can be set along with configuring s-curve acceleration (SCV) and positioning coordinate mode (ABS, INC).

How to access

Axis Control

Display | Description | Related commands
Profile settings
Global High Speed or [axis] High Speed | Setting for global or axis high speed (HSPD, HSPD[axis]) | HSPD
SSPDM[axis] Setting | (V127 only) The speed range mode must be set in the proper range in order to achieve the desired high-speed value. Checking the box will automatically set SSPDM, according to the desired speed range. | SSPDM
Global Low Speed or [axis] Low Speed | Setting for global or axis low speed (LSPD, LSPD[axis]) | LSPD
Global Acceleration or [axis] Acceleration | Setting for global or axis acceleration (ACC, ACC[axis]) When an acceleration time is entered, the calculated deceleration rate (p/s/s) will be displayed upon moving curser focus to another entry block. | ACC
Global Deceleration or [axis] Deceleration | Setting for global or axis deceleration (DEC, DEC[axis]) When an acceleration time is entered, the calculated deceleration rate (p/s/s) will be displayed upon moving curser focus to another entry block. | DEC
Move Select | Selects which axes will be used for motion operations |
X | The display of this row is related to the X-axis |
Y | The display of this row is related to the Y-axis |
Z | The display of this row is related to the Z-axis |
U | The display of this row is related to the U-axis |
Target Position | Establishes the target position for the associated axis |
Enable | Enable/disable the motor driver (EO, EO[1-4]) for each axis ( [image] axis is enabled, [image] axis is disabled) | EO
Soft Limit | Enable/disable Soft-limit function ( [image] Soft Limit is enabled, [image] Soft Limit is disabled) | SLF
S-curve | Enable/disable setting for each axis ( [image] S-curve profile is enabled for the axis, [image] Linear profile is enabled for the axis) | SCV
Move Mode | Select Absolute, ABS or Incremental, INC modes | ABS , INC
 | Opens the Profile Builder Screen |
Displayed Buttons for Initiating or stopping motion:
 | E-STOP, Stops all axis in motion immediately | ESTOP
 | (ABS mode only) Returns the axis to the set 0 position, for all selected axes in motion | (XYZU)=0
 | Initiates a jog move in the (-) negative or (+) positive direction direction while the button is depressed for all selected axes. The axis stop when the button is no longer pressed | J
 | Initiates a jog move in the (-) negative or (+) positive direction until button is clicked again, or a stop (Ramp Stop, Abort, ESTOP) is pressed for all selected axes | J
 | Decelerates and stops axis motion for all selected axes in motion | STOP
 | (ABS mode) Initiates a move to the target position (absolute) for all selected axes. | X, Y, Z, U
 | (INC mode) The button splits into two buttons for incremental motion, which Initiates an incremental move to the target position in the (-) negative or (+) positive direction for all selected axes. | X, Y, Z, U
 | Stops all motion, no error indicated | ABORT
 | Show/hide the Advanced Axis Control Screen |


Advanced Axis Control Screen

4.0 Screen Details ›› 4.4 Axis Control Screen ››

The advanced axis control screen open access to all homing modes, on-the-fly speed and position changes, Z-index count configuration, and interpolation options. External start and Interpolation function can be enabled as well as establishing the command pulse output logic, polarity, and boot up enable status for each axis.

How to access

Advanced Axis Control

Display | Description | Related commands
Homing
 | Select the Homing mode | H
 | Set the movement direction of a Homing operation and Z-index count operation.
 | Select to home at high speed or low speed. ( [image] Home at low speed, [image] Home at high speed)
 | Button to start a Homing operation
 | Button to start a Z-index counter operation | ZMOVE
 | Set the Z-index count | ZCNT
Linear Interpolation
 | Set "Enable/Disable" of the interpolation operation mode | EINT
Circular Interpolation
Arc | Select the Arc interpolation operation | ARC
Circle | Select the Circular interpolation operation | CIR
Helix Arc | Select the Helix Arc interpolation operation | ARCT
Helix Circle | Select the Helix Circular interpolation operation | CIRT
Center position | Set the center coordinates of the Arc/Circular interpolation move |
Target Angle | Set the end point position of the Arc interpolation at an angle with respect to the center position (the setting unit is 0.001 degrees) |
CW/CCW | Select the rotation direction of the Arc/Circular interpolation motion |
 | Button to start an Arc/Circular interpolation operation |
On-The-Fly speed and position changes
 | Button to change the speed during operation | SSPD
 | Set the new target speed for the current movement
 | Select the speed magnification for On-The-Fly speed change operation | SSPDM
 | Select manual or automatic setting of the speed magnification range ( [image] Software suggest SSPDM based on new target speed, User must select SSPDM before requesting new target speed)
 | Select the axis to change the speed/position during operation |
 | Button to change the amount of movement during operation | T
 | Set the new amount of movement (incremental move) or the new target point (absolute move)
Movement Start
 | Set "use/not use" of the external start signal ( [image] Movements wait for /CSTA to begin, [image] Movement starts immediately) | EXST
 | Set the excitation ON/OFF signal logic | POL[axis] (Bit-9)
 | Set the excitation ON/OFF signal at the power-on | EOBOOT
 | Set the output mode of the command pulse signal | POL[axis] (Bit-0~2)
 | Show/hide the Advanced Axis Control Screen |

Notes:

  • When changing the setting, save the setting in memory by clicking the [image] button, or sending the STORE.


4.5 Standalone Control Screen

4.0 Screen Details ››

All of the standalone programming functions are available in the standalone control screen. A program editing workspace allows for program development and debugging, code compiling, and program control. Programs can be saved to the PC or opened from local or networked folders.

Displayed items for Standalone Control screen:

Program Select – selection for program control, program 0 through program 3.

Status – indication of program status (SATAT), Idle, Running, Paused, or ERROR

Index – indication of current line of complied code executed by the program (SPC)

Auto Start – selection to configure the program to run at power on (SLOAD)

Program Editor – workspace to develop program code

Max Lines – available number of program lines based on current configuration.

Program Lines – number of compiled lines of code

V – expands screen to include all variables and their current values

Displayed Buttons for program control:

Run selected program (SACTRL=1)

Stop current running program (SACTRL=0)

Pause the current running program (SACTRL=2)

Resume current program (SACTRL=3)

Compile selected program

Download to flash memory the current program

Upload from flash memory the currently stored program

Save the current program to PC

Open a program from PC

Clear the Program Editor workspace


Variables

4.0 Screen Details ›› 4.5 Standalone Control Screen ››

The current values of all the 100 variables can be viewed at once by Selecting the V icon at the bottom right corner of the screen. This opens the Variable View.

Multiple programs can be written in the program workspace (PRG 0 thru PRG 3) as one file and downloaded to flash memory. Once compiled and loaded, the Program select drop down will allow you to select the individual programs to run using the program control buttons. The Auto Start button only applies to the specific programs selected when saved to the drive. In order for the auto start or other changes to take effect in the controller, the program editor contents must be downloaded to the controller to take effect. The save button only saves the file to a PC or other network location. Similarly, when retrieving a program from the PC or other network folder, that program must be downloaded to the controller before it can be run.


4.6 Buffer Control Screen

4.0 Screen Details ››

The buffer control screen provides a workspace to write specific ASCII commands into the Interpolated Motion Buffer. You can edit the commands, load the commands to the buffer, start and stop buffer operations from this screen. The current status of the Interpolated Motion Buffer is also displayed.

Displayed information in the Buffer Command screen:

– Check box display the current enabled status of the motion buffer. (Checked enabled, unchecked disabled) By clicking an unchecked box will enable ( BO ) the motion buffer and clicking a checked box will disable ( BF ) buffer control.

– Identifies the starting buffer register based on the currently loaded buffer moves ( BSTAT ), This is the location of the buffered move to be excuted next.

– Identifies the last buffer register based on the currently loaded buffer commands ( BSTAT )

– Indicates the number of available buffer registers to load additional commands ( BSTAT )

– entry location to input desired buffer commands

– Uploads the buffer commands listed in the workspace to the buffer registers ( I )( ARC )( ARCT )( CIR )( CIRT )

– Initiates the loaded buffer commands ( BSTART )

– Turns off the buffer operation ( BF )

Before Enable Motion (BSTART) is initiated, you can load up to 100 buffer registers with interpolation commands. Once Enable Motion is pressed, you can load new commands to the buffer, and they will run after the last loaded buffer register has been executed. To load additional commands without them executing, first, turn off buffer operation (BF), re-enable (BO), and then commence to load. Press Enable Motion again to initiate buffer operation.

Below are links to other documentation containing further details.

Commander Motion Controller Core Manual

2.3.4 Buffered interpolation operation

CMD Command Reference

Interpolated motion buffer


4.7 Manual Pulse Generator (MPG) Control Screen

4.0 Screen Details ››

The MPG Control screen provides the necessary configuration settings to quickly establish the MPG criteria, including the multiplier and divider parameters, and signal logic settings.

Displayed information on the MPG screen (applies to each axis):

Position – indicates current position of the MPG pulse counter (MP)

Multiplier – Sets the multiplication factor of the MPG pulse input (MPM)

Divider – Divides the MPG pulse counter (MPD)

Decode – Sets the logic for the pulse input (POL, Bit 15, 16)

Direction – indicates direction polarity setting for the pulse input (POL, Bit 14)

Enable – Enables/disables the pulse generator input (MPE)

– Resets the MPG pulse counter

The multiplier, divider and decoder all factor into the amount of pulse counts per revolution of the MPG.

Number of output pulses per revolution of the MPG = MPG Res x Multiplier x Divider x Decoder

Example:

MPG resolution is 100 pulses per rev, Multiplier is set to 2, Divider set to 1024/2048, and Decode set to 4x

Number of pulses per revolution of the MPG = 100 x 2 x (1024/2048) x 4 = 400

With a 100 pulse per revolution manual pulse generator, the settings can range from 0.048828125 pulses per revolution up to 12,800 pulses per revolution.


4.8 Joystick Control Screen

4.0 Screen Details ››

Joystick control utilizes the analog inputs for the X and Y axis, and when connected allows control of each axis via a joystick. The Joystick control screen allows configuration of the joystick set up for both X and Y axes.

Displayed information and Settings for Joystick operation:

Enable – enable/disable for each axis (JENA)

Max Speed – setting for maximum speed allowable under joystick control (JSPD)

Max Delta – setting for the differential speed changes using the joystick (JDEL)

Max Voltage – setting for maximum analog voltage used by the joystick (JMAX)

Min Voltage – setting for minimum analog voltage used by the joystick (JMIN)

Idle Tolerance – dead band control – sets the mid voltage point and a +/- tolerance resulting in no response (JTOL)

-Side Outer Limit – Sets the negative side maximum limit value to stop immediately (JLIM 1, 5)

-Side Inner Limit – Sets the negative side limit value to decelerate and stop (JLIM 2, 6)

+Side Outer Limit – Sets the positive side maximum limit value to stop immediately (JLIM 4, 8)

+Side Inner Limit – Sets the positive side m limit value to decelerate and stop (JLIM 3, 7)

NOTE:

If the smallest input voltage value of the analog input terminal is set as the Max Voltage (JMAX), and the largest input voltage value is set as the Min Voltage (JMIN), the movement direction is reversed.

Setting the voltage for the Idle Tolerance (JTOL) too small may result in axis movement as soon as the joystick function is enabled. Consider the tolerance value to be large enough to avoid unexpected movement on enabling the joystick.


4.9 Analog Input Screen

4.0 Screen Details ››

The value of the two analog inputs are displayed (in mV)

Displayed information for Analog Input screen:

AIN1 – Analog input 1 value (mV) for X axis (AI1)

AIN2 – Analog input 2 value (MV) for Y axis (AI2)


4.10 Digital IO Screen

4.0 Screen Details ››

The Digital IO screen provides information and configuration setting for digital inputs, digital outputs and PWM duty cycle settings.

Displayed information and settings for the Digital IO screen:

Digital Out – Status of digital output signal

Digital output is triggered

Digital output is not triggered

The polarity of the outputs can be changed by clicking in the white or blue box to update.

Mode – Configuration for digital output (as an output or synced)

Digital In – Status of digital input signal

Digital input is triggered

Digital input is not triggered

Mode – Configuration for digital input (as an input or latched)

PWM 1 (%) – Setting for PWM1 output duty cycle, percent on

PWM 2 (%) – Setting for PWM2 output duty cycle, percent on


3.10.1 Advanced Digital IO Screen

4.0 Screen Details ›› 4.10 Digital IO Screen ››

The advance Digital IO screen brings in additional configurable settings for Latch and Sync functions. Settings for digital input and output polarity and digital output status on power up are also available.

Digital output polarity (DOP) can be set to active low or high, and the status on power up (DOBOOT) can be set by clicking the desired status in the boxes. The digital input polarity (DIP) can also be set to active high or low. The status of the digital outputs (DO) can be changed by clicking the desired boxes.

Latch function can be set for each axis. Once the axis is enabled (LT), the Status will indicate the axis is WAITING. Once a digital input is triggered, the status (LTS) will indicated it has LATCHED, the Pulse (LTP) and Encoder (LTE) Position will be captured and displayed.

The Synchronization functions can be configured on the right-hand side of the screen for each axis. The top portion sets the synchronization configuration, while the lower portion enables and sets the range for the synchronization window. For each axis, the synchronization operation can be enabled (SYNO) or disabled (SYNF), the synchronization position point (SYNP), the source position counter (pulse position out or encoder in) and logic of the synchronization pulse of when it should trigger (SYNC). The source and configuration is set using the decimal equivalent of a 4 bit value.

SYNC[axis]=[value], with [value] equal to:

1 – Pulse position, trigger when sync position = actual position from any direction

2 – Pulse position, trigger when sync position = actual position from positive direction

3 – Pulse position, trigger when sync position = actual position from negative direction

4 – Pulse position, trigger when sync position > actual position

5 – Pulse position, trigger when sync position < actual position

8 – Pulse position, trigger continuous, any direction

9 – Pulse position, trigger continuous in positive direction

10 – Pulse position, trigger continuous in negative direction

17 – Encoder position, trigger when sync position = actual position from any direction

18 – Encoder position, trigger when sync position = actual position from positive direction

19 – Encoder position, trigger when sync position = actual position from negative direction

20 – Encoder position, trigger when sync position > actual position

21 – Encoder position, trigger when sync position < actual position

24 – Encoder position, trigger continuous, any direction

25 – Encoder position, trigger continuous in positive direction

26 – Encoder position, trigger continuous in negative direction

For configurations that trigger continuously (8, 9, 10, 24, 25, 16), the Synchronization window can be active over a range of positions. The Synchronization window can be enabled (SYNWO), or disabled (SYNWF) for each axis, and minimum and maximum position values set (SYNMIN, SYNMAX), for each axis.


4.11 Configurable IO Screen

4.0 Screen Details ››

All configurable inputs and outputs are available to adjust based on application requirements. Use the IOCFG and IO commands to quickly identify how the current system is configured, and then make adjustments as required based on your application.

Displayed information for the configurable IO screen:

IO1 – Input/Output port number 1, each port is listed in the screen (IO[port]).

IO1 is an input and is tirggered

IO1 is an input and is not triggered

IO21 is an output and is triggered

IO24 is an output and is not triggered

Each port can be chaged form an Input or Out put by clicking on the or boxes. For Outputs, the polarity of the output can be changed by clicking in the white or blue box associated with the port to update. Input polarity can not be changed in this screen.


3.11.1 Advanced Configurable IO Screen

4.0 Screen Details ›› 4.11 Configurable IO Screen ››

The advanced screens adds the ability to change the polarity settings for Inputs or Outputs, along with selecting specific IO settings for each port for boot up.

The input polarity and output polarity for all ports can be adjusted by selecting the L or H radio buttons. For configuration on boot up, select the specific ports to be included in the boot up operation by checking the boxes next to the port. Use the icon to store the desired boot up values in flash memory.


4.12 Terminal Screen

4.0 Screen Details ››

3.12 Terminal Screen

A terminal screen is available to allow quick entry of ASCII commands to control all aspects of the controller. Enter command lines one at a time in the command box. The command will be executed and appear in the window. The last 5 commands are saved for convenience and can be accessed by selecting the icon. The workspace can be cleared by selecting the Clear Window button.


4.13 PCL Registers Screen

4.0 Screen Details ››

All register values for each axis can be viewed using the PCL Registers screen. Use the to save the PCL registers current values show on the screen to a *.txt file. This screen can only be accessed by selecting ctrl-alt-p upon opening the program to expose this advanced feature.


4.14 About Screen

4.0 Screen Details ››

The About screen shows the version level for the key parts of your system.

Commander:

The following information is displayed.

  • The ID of the commander currently connected
  • The firmware version (VER)
  • The serial number for the Commander (SN)

Software:

The following information is displayed.

  • The version level of the DLL.
  • The version level of the GUI software.
  • The Software build information.


4.15 Profile Builder

4.0 Screen Details ››

The Profile Builder in the Commander Control Software can assist you in determining the correct settings for the commander to achieve your desired profile.


Service Passwords

4.0 Screen Details ››

CMDservice

Enables service mode

PCL Regisuers

Service Menu shown

Service manual shown

CMDupdate

Enables Update Developer mode to allow changing of links in the app.

CMDtest

Enables Commander test mode


SoftLimit Status

4.0 Screen Details ››

The SoftLimit Status screen in the Commander Control Software displayes the current settings for the Softlimits.

How to access

Enviromental settings

Display | Description | Related commands
 | Button to save data in the memory | STORE
 | Show/hide the Advanced Encoder Status Screen |
Input Settings
Limit Polarity | Set the input mode of the feedback pulse signal | POL[axis] (Bit-3)
Home Polarity | Set the direction the feedback pulse count up | POL[axis] (Bit-4)
Alarm Polarity | Set the logic of the Z-Index pulse signal | POL[axis] (Bit-5)
Soft-Limit
Enable | Enable/disable Soft-limit function |
Status | Opens the |
Set |  |
Slow Down (SD)
Enable | Enable/disable Slow Down (SD) function |
Latch |  |
Decel |  |
Polarity |  | POL[axis] (Bit-5)
In-position (INP)
Enable | Enable/disable In-position (INP) function |
Polarity |  | POL[axis] (Bit-5)
Error Clear (ERC)
Enable | Enable/disable Error Clear (ERC) function |
Polarity |  | POL[axis] (Bit-5)
Pulse Width |  |
Off Delay |  |

Notes:

  • Clear encoder pulse counter values – Click


Set SoftLimit

4.0 Screen Details ››

The Set SoftLimit screen in the Commander Control Software is used to set up the SoftLimits.

How to access

Enviromental settings

Display | Description | Related commands
 | Button to save data in the memory | STORE
 | Show/hide the Advanced Encoder Status Screen |
Input Settings
Limit Polarity | Set the input mode of the feedback pulse signal | POL[axis] (Bit-3)
Home Polarity | Set the direction the feedback pulse count up | POL[axis] (Bit-4)
Alarm Polarity | Set the logic of the Z-Index pulse signal | POL[axis] (Bit-5)
Soft-Limit
Enable | Enable/disable Soft-limit function |
Status | Opens the |
Set |  |
Slow Down (SD)
Enable | Enable/disable Slow Down (SD) function |
Latch |  |
Decel |  |
Polarity |  | POL[axis] (Bit-5)
In-position (INP)
Enable | Enable/disable In-position (INP) function |
Polarity |  | POL[axis] (Bit-5)
Error Clear (ERC)
Enable | Enable/disable Error Clear (ERC) function |
Polarity |  | POL[axis] (Bit-5)
Pulse Width |  |
Off Delay |  |

Notes:

  • Clear encoder pulse counter values – Click


Command Echo Viewer

4.0 Screen Details ››


End

The information in this document is believed to be accurate at the time of publication but is subject to change without notice.

4 Corporate Drive Street, Radford, VA 24141 USA

Phone: 1-540-633-1677

E-mail: info@nipponpulse.com

Web: http://www. nipponpulse.com

Commander Software Utility Manual Version